/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler.web;

import de.otto.mongodb.profiler.ProfiledConnection;
import de.otto.mongodb.profiler.ProfiledDatabase;

import java.util.List;

import static com.google.common.base.Preconditions.checkNotNull;

public class ConnectionPageViewModel {

    private final ProfiledConnection connection;
    private final List<? extends ProfiledDatabase> databases;

    public ConnectionPageViewModel(final ProfiledConnection connection,
                                   final List<? extends ProfiledDatabase> databases) {
        this.connection = checkNotNull(connection);
        this.databases = checkNotNull(databases);
    }

    public String getId() {
        return connection.getId();
    }

    public String getName() {
        return connection.getName();
    }

    public List<? extends ProfiledDatabase> getDatabases() {
        return databases;
    }
}
