/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler.web;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class CreateConnectionFormModel {

    public static final String NAME_REQUIRED_MESSAGE = "{CreateConnectionFormModel.name.required}";
    public static final String HOSTS_REQUIRED_MESSAGE = "{CreateConnectionFormModel.hosts.required}";

    @NotNull
    @Size(min = 1, max = 300, message = NAME_REQUIRED_MESSAGE)
    private String name;

    @NotNull
    @Size(min = 1, max = 2048, message = HOSTS_REQUIRED_MESSAGE)
    private String hosts;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHosts() {
        return hosts;
    }

    public void setHosts(String hosts) {
        this.hosts = hosts;
    }
}
