/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler.web;

import de.otto.mongodb.profiler.AverageMeasure;

import javax.validation.constraints.NotNull;

public class OpOutlierConfigurationFormModel {

    public static enum Strategy {
        TWO_TIMES_MEAN {
            @Override
            public AverageMeasure.OutlierStrategy createStrategy(OpOutlierConfigurationFormModel model) {
                return AverageMeasure.TWO_TIMES_MEAN_VALUE;
            }
        };

        public String getValue() {
            return name();
        }

        public abstract AverageMeasure.OutlierStrategy createStrategy(OpOutlierConfigurationFormModel model);
    }

    private boolean enabled;

    @NotNull
    private Strategy strategy;

    private Boolean ignoreOutliers;
    private Boolean captureOutliers;

    public OpOutlierConfigurationFormModel() {
        // void
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public Strategy getStrategy() {
        return strategy;
    }

    public void setStrategy(Strategy strategy) {
        this.strategy = strategy;
    }

    public Boolean getIgnoreOutliers() {
        return ignoreOutliers;
    }

    public void setIgnoreOutliers(Boolean ignoreOutliers) {
        this.ignoreOutliers = ignoreOutliers;
    }

    public Boolean getCaptureOutliers() {
        return captureOutliers;
    }

    public void setCaptureOutliers(Boolean captureOutliers) {
        this.captureOutliers = captureOutliers;
    }
}
