/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler.web;

import de.otto.mongodb.profiler.ProfiledDatabase;

import java.util.Arrays;
import java.util.Collection;

public class OpOutlierConfigurationPageViewModel {

    private final ProfiledDatabase database;
    private final boolean outlierConfigurationEnabled;

    public OpOutlierConfigurationPageViewModel(final ProfiledDatabase database,
                                               final boolean outlierConfigurationEnabled) {
        this.database = database;
        this.outlierConfigurationEnabled = outlierConfigurationEnabled;
    }

    public String getConnectionId() {
        return database.getConnection().getId();
    }

    public String getConnectionName() {
        return database.getConnection().getName();
    }

    public String getDatabaseName() {
        return database.getName();
    }

    public Collection<OpOutlierConfigurationFormModel.Strategy> getOutlierStrategies() {
        return Arrays.asList(OpOutlierConfigurationFormModel.Strategy.values());
    }

    public boolean isOutlierConfigurationEnabled() {
        return outlierConfigurationEnabled;
    }
}
