<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#assign css = ["/nvd3-1.1.13-beta/css/nv.d3.css"] />
<#assign js = ["/d3.v3/js/d3.v3.min.js", "/nvd3-1.1.13-beta/js/nv.d3.min.js", "/profiler/js/chart.js"] />

<#macro standardChart id src sampleRate=15 charts=1>
<div>
    <form id="${id}Control" role="form" class="form-inline">
        <div class="form-group">
            <label class="sr-only" for="sampleRate">${msg["charts.chart.controlForm.sampleRate"]}</label>
            <input type="text" name="sampleRate" value="" class="form-control" placeholder="${msg["charts.chart.controlForm.sampleRate"]}" />
        </div>
        <button type="submit" class="btn btn-primary" data-loading-text="${msg["charts.chart.controlForm.reloadingGraph"]}">${msg["charts.chart.controlForm.reloadGraph"]}</button>
    </form>
</div>
<div id="${id}" data-src="${src}" data-sample-rate="${sampleRate}" data-control="${id}Control">
    <#list 1..charts as chart>
        <svg id="${id}_svg_${chart}"></svg>
    </#list>
</div>
</#macro>
