<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#-- @ftlvariable name="rc" type="org.springframework.web.servlet.support.RequestContext" -->
<#-- @ftlvariable name="mainNavigation" type="de.otto.mongodb.profiler.web.MainNavigationViewModel" -->
<#-- @ftlvariable name="footer" type="de.otto.mongodb.profiler.web.FooterViewModel" -->
<#macro standard title extraCss=[] extraJs=[] help="">
<#import 'navigation.ftl' as navigation />
<!DOCTYPE html>
<html lang="en">
<head>
    <title>${msg["title"]} - ${title}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="noindex,nofollow" />
    <!-- Strict cache control required, to avoid problems with the back-button. -->
    <meta http-equiv="cache-control" content="max-age=0" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="expires" content="0" />
    <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
    <meta http-equiv="pragma" content="no-cache" />
    <link href="${rc.contextPath}/static/bootstrap-3.0.0/css/bootstrap.min.css" rel="stylesheet" media="screen" />
    <link href="${rc.contextPath}/static/profiler/css/default.css" rel="stylesheet" media="screen" />
    <#if extraCss?size gt 0>
        <#list extraCss as cssPath>
    <link href="${rc.contextPath}/static${cssPath}" rel="stylesheet" media="screen" />
        </#list>
    </#if>
    <script src="${rc.contextPath}/static/jquery-2.0.3/jquery-2.0.3.min.js" type="text/javascript"></script>
    <script src="${rc.contextPath}/static/underscore.js-1.5.2/underscore-min.js" type="text/javascript"></script>
</head>
<body>
    <div>
        <@navigation.main />
        <div class="content">
            <#nested />
        </div>
        <footer class="footer">
            <div class="content">
                <p>
                    Code licensed under <a href="http://www.apache.org/licenses/LICENSE-2.0" target="_blank">Apache License v2.0</a>.
                </p>
                <p>
                    ${msg("footer.runningSince", footer.runningSince)}
                    ${msg("footer.usedMemory", footer.humanReadable(footer.heap.used))}
                    ${msg("footer.committedMemory", footer.humanReadable(footer.heap.committed))}
                    ${msg("footer.maxmimumMemory", footer.humanReadable(footer.heap.max))}
                </p>
            </div>
        </footer>
    </div>
    <script src="${rc.contextPath}/static/bootstrap-3.0.0/js/bootstrap.min.js" type="text/javascript"></script>
    <#if extraJs?size gt 0>
        <#list extraJs as jsPath>
    <script src="${rc.contextPath}/static${jsPath}" type="text/javascript"></script>
        </#list>
    </#if>
    <script src="${rc.contextPath}/static/profiler/js/default.js" type="text/javascript"></script>
</body>
</html>
</#macro>
