<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#-- @ftlvariable name="rc" type="org.springframework.web.servlet.support.RequestContext" -->
<#-- @ftlvariable name="mainNavigation" type="de.otto.mongodb.profiler.web.MainNavigationViewModel" -->
<#macro main mainNavigation=mainNavigation>
    <#-- @ftlvariable name="mainNavigation" type="de.otto.mongodb.profiler.web.MainNavigationViewModel" -->
    <div>
        <nav class="navbar navbar-default" role="navigation">
            <div class="navbar-header">
                <a class="navbar-brand" href="${rc.contextPath}/" title="${msg["navigation.title"]}">${msg["navigation.title"]}</a>
            </div>
            <div class="collapse navbar-collapse navbar-ex1-collapse">
                <ul class="nav navbar-nav">
                    <#if mainNavigation.connections?size gt 0>
                        <li class="dropdown${(mainNavigation.active == 'connections')?string(' active','')}">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">${msg["navigation.connections"]} <span class="badge">${mainNavigation.connections?size}</span> <b class="caret"></b></a>
                            <ul class="dropdown-menu">
                                <li><a href="${rc.contextPath}/connections">${msg["navigation.connections.overview"]}</a></li>
                                <#list mainNavigation.connections as connection>
                                    <li><a href="${rc.contextPath}/connections/${connection.id}">${msg("navigation.connection", connection.name)}</a></li>
                                </#list>
                            </ul>
                        </li>
                    <#else>
                        <li class="${(mainNavigation.active == 'connections')?string('active','')}"><a href="${rc.contextPath}/connections">${msg["navigation.connections"]} <span class="badge">0</span></a></li>
                    </#if>
                    <#if mainNavigation.databases?size gt 0>
                        <li class="dropdown${(mainNavigation.active == 'databases')?string(' active','')}">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">${msg["navigation.databases"]} <span class="badge">${mainNavigation.databases?size}</span> <b class="caret"></b></a>
                            <ul class="dropdown-menu">
                                <#list mainNavigation.databases as database>
                                    <li><a href="${rc.contextPath}/connections/${database.connection.id}/databases/${database.name}">${msg("navigation.database", database.name, database.connection.name)}</a></li>
                                </#list>
                            </ul>
                        </li>
                    <#else>
                        <li class="${(mainNavigation.active == 'databases')?string('active','')}"><a href="${rc.contextPath}/connections">${msg["navigation.databases"]} <span class="badge">0</span></a></li>
                    </#if>
                </ul>
                <#--<ul class="nav navbar-nav navbar-right">
                    <li><a href="" target="_blank">${msg["navigation.help"]} <span class="glyphicon glyphicon-info-sign"></span></a></li>
                </ul>-->
            </div>
        </nav>
    </div>
</#macro>
