<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#-- @ftlvariable name="rc" type="org.springframework.web.servlet.support.RequestContext" -->
<#-- @ftlvariable name="model" type="de.otto.mongodb.profiler.web.ConnectionsPageViewModel" -->
<@layout.standard title=msg["page.connections"] help="connections">
    <ol class="breadcrumb">
        <li class="active">${msg["breadcrumb.connections"]}</li>
    </ol>
    <div class="page-header">
        <h1>${msg["page.connections"]}</h1>
    </div>
    <div>
        <table class="table table-hover table-condensed">
            <thead>
            <tr>
                <th>${msg["page.connections.connections.column.name"]}</th>
                <th>${msg["page.connections.connections.column.host"]}</th>
            </tr>
            </thead>
            <tbody>
                <#if model.connections?size gt 0>
                    <#list model.connections as connection>
                        <#assign uri = rc.contextPath + "/connections/" + connection.id />
                        <tr>
                            <td><a href="${uri}">${connection.name}</a></td>
                            <td>${model.serversAsString(connection)}</td>
                        </tr>
                    </#list>
                <#else>
                    <tr>
                        <td colspan="3">${msg["page.connections.connections.noDataAvailable"]}</td>
                    </tr>
                </#if>
            </tbody>
        </table>
        <div>
            <button type="button" class="btn btn-default f_linkButton" title="${msg["page.connections.newConnection"]}" data-href="${rc.contextPath}/connections/new-connection">${msg["page.connections.newConnection"]}</button>
        </div>
    </div>
</@layout.standard>
