<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#-- @ftlvariable name="rc" type="org.springframework.web.servlet.support.RequestContext" -->
<#-- @ftlvariable name="model" type="de.otto.mongodb.profiler.web.DatabasePageViewModel" -->
<@layout.standard title=msg("page.database", model.name, model.connectionName)>
    <#assign pageUri = "${rc.contextPath}/connections/${model.connectionId}/databases/${model.name}" />
    <ol class="breadcrumb">
        <li><a href="${rc.contextPath}/connections">${msg["breadcrumb.connections"]}</a></li>
        <li><a href="${rc.contextPath}/connections/${model.connectionId}">${msg("breadcrumb.connections.connection", model.connectionName)}</a></li>
        <li class="active">${msg("breadcrumb.connections.connection.database", model.name)}</li>
    </ol>
    <div class="page-header">
        <h1>${msg("page.database.headline", model.name)} <small>${msg("page.database.headline.small", model.connectionName)}</small></h1>
    </div>
    <div class="f_lazyContent" data-src="${pageUri}/ops?render=panel"></div>
    <div class="f_lazyContent" data-src="${pageUri}/collections?render=panel"></div>
    <div class="panel panel-default">
        <div class="panel-body">
            <form action="${rc.contextPath}/connections/${model.connectionId}/databases/${model.name}/control" method="post">
                <button type="submit" name="action" value="remove" class="btn btn-danger btn-sm" title="${msg["page.database.removeDatabase"]}">${msg["page.database.removeDatabase"]}</button>
            </form>
        </div>
    </div>
</@layout.standard>
