<#--

     Copyright 2013 Robert Gacki <robert.gacki@cgi.com>

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.

-->
<#-- @ftlvariable name="msg" type="freemarker.ext.beans.ResourceBundleModel" -->
<#-- @ftlvariable name="rc" type="org.springframework.web.servlet.support.RequestContext" -->
<@layout.standard title=msg["page.newConnection"]>
    <#assign form=JspTaglibs["http://www.springframework.org/tags/form"]>
    <ol class="breadcrumb">
        <li><a href="${rc.contextPath}/connections">${msg["breadcrumb.connections"]}</a></li>
        <li class="active">${msg["breadcrumb.connections.newConnection"]}</li>
    </ol>
    <div class="page-header">
        <h1>${msg["page.newConnection"]}</h1>
    </div>
    <div class="panel">
        <@form.form modelAttribute="connection" action="${rc.contextPath}/connections" method="post" acceptCharset="utf-8" role="form">
            <@form.errors element="div" cssClass="alert alert-danger" />
            <div class="form-group${global.hasFormError("name")?string(' has-error','')}">
                <@form.label path="name" cssClass="control-label">${msg["page.newConnection.newConnection.name"]}</@form.label>
                <@form.input path="name" cssClass="form-control" />
                <@form.errors path="name" element="div" cssClass="form-error" />
            </div>
            <div class="form-group${global.hasFormError("hosts")?string(' has-error','')}">
                <@form.label path="hosts" cssClass="control-label">${msg["page.newConnection.newConnection.host"]}</@form.label>
                <@form.textarea path="hosts" cssClass="form-control" />
                <@form.errors path="hosts" element="div" cssClass="form-error" />
            </div>
            <div>
                <button type="button" class="btn btn-default f_linkButton" data-href="${rc.contextPath}/connections" data-confirm="${msg["page.newConnection.newConnection.cancel.confirm"]}">${msg["page.newConnection.newConnection.cancel"]}</button>
                <button type="submit" class="btn btn-primary">${msg["page.newConnection.newConnection.submit"]}</button>
            </div>
        </@form.form>
    </div>
</@layout.standard>
