var profiler = profiler || {};
profiler.chart = profiler.chart || {};

profiler.chart.createManager = function () {

    var api = {};

    function loadChartData($chart, options) {

        options = $.extend({}, options);

        var dataSrc = $chart.data('src'),
            ajaxConfig = {
                method: 'get',
                dataType: 'json',
                data: options
            };

        return $.ajax(dataSrc, ajaxConfig);
    }

    api.createChart = function (chart, onLoad) {

        var $chart = $(chart),
            controlId = '#' + $chart.data('control'),
            $control = $(controlId),
            $controlSubmitButton = null,
            onDone = function (data) {
                onLoad.call(api, $chart, data)
            },
            onAlways = function () {};

        if ($chart.length !== 1) {
            throw new Error('Invalid chart [' + id + ']!');
        }

        var defaultOptions = {
            sampleRate: $chart.data('sample-rate') || 15
        };

        if ($control.length === 1) {

            if ($control.length !== 1) {
                throw new Error('Invalid control [' + controlId + ']!');
            }

            $controlSubmitButton = $control.find('button[type="submit"]');

            var sampleRate = $chart.data('sample-rate') || defaultOptions.sampleRate,
                $sampleRateInput = $control.find(':input[name="sampleRate"]');
            if (sampleRate && $sampleRateInput.length === 1) {
                $sampleRateInput.val('' + sampleRate);
            }

            onAlways = function () {
                $controlSubmitButton.button('reset');
            };

            $control.on('submit', function () {
                $controlSubmitButton.button('loading');
                var options = $.extend({}, defaultOptions);
                if (this.elements['sampleRate']) {
                    options.sampleRate = this.elements['sampleRate'].value;
                }
                loadChartData($chart, options).done(onDone).always(onAlways);
                return false;
            });
        }

        return {
            load: function () {
                loadChartData($chart, defaultOptions).done(onDone).always(onAlways);
            }
        };
    };

    return api;
};
