package de.otto.mongodb.profiler.web.util;

import de.otto.mongodb.profiler.web.FunctionTest;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import java.util.Locale;

import static org.testng.Assert.assertEquals;

public class DataSizeFormatTest extends FunctionTest {

    @DataProvider
    public Object[][] shouldFormatDataSizeData() {
        return new Object[][]{
                new Object[]{1L, "1 " + DataSizeFormat.Scale.BYTE.abbr},
                new Object[]{1024L, "1 " + DataSizeFormat.Scale.KILOBYTE.abbr},
                new Object[]{1024L * 1024L, "1 " + DataSizeFormat.Scale.MEGABYTE.abbr},
                new Object[]{1024L * 1024L * 1024L, "1 " + DataSizeFormat.Scale.GIGABYTE.abbr},
                new Object[]{1024L * 1024L * 1024L * 1024L, "1 " + DataSizeFormat.Scale.TERRABYTE.abbr},
        };
    }

    @Test(dataProvider = "shouldFormatDataSizeData")
    public void shouldFormatDataSize(final long bytes, final String expectedString) {

        // Given

        // When
        final String result = DataSizeFormat.format(bytes, Locale.ENGLISH);

        // Then
        assertEquals(result, expectedString);
    }

}
