/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler;

/**
 * An exception that gets thrown if a database is already configured.
 *
 * @author Robert Gacki
 */
public class DatabaseAlreadyConfiguredException extends Exception {

    private final ProfiledConnection connection;
    private final String database;

    public DatabaseAlreadyConfiguredException(final String message,
                                              final ProfiledConnection connection,
                                              final String database) {
        super(message);
        this.connection = connection;
        this.database = database;
    }

    public ProfiledConnection getConnection() {
        return connection;
    }

    public String getDatabase() {
        return database;
    }
}
