/*
 *  Copyright 2013 Robert Gacki <robert.gacki@cgi.com>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package de.otto.mongodb.profiler;

/**
 * A reference to a MongoDB connection.
 *
 * @author Robert Gacki
 */
public interface ProfiledConnection {

    /**
     * Returns the ID of the connection reference.
     *
     * @return the ID
     */
    String getId();

    /**
     * Returns the name of the connection.
     *
     * @return the name of the connection
     */
    String getName();

    /**
     * Returns the configuration for the connection.
     *
     * @return the configuration for the connection
     */
    ProfiledConnectionConfiguration getConfiguration();

}
